# SDL Text Input

## What this does

This program allows you to type into a window. Nothing more, nothing less.

## Why?

I started learning C++ and SDL for fun.

## How do I run it?

First, install a C++ compiler (like g++ from gcc), SDL2, SDL2_ttf, make and cmake. 

On Arch Linux, run this command to install everything:

```bash
sudo pacman -S gcc sdl2 sdl2_ttf make cmake
```

Next, run:

```bash
mkdir build && cd build
cmake ..
make && ./program
```

## Credits

### [SDL](https://www.libsdl.org/)

The graphics library I used. Very easy and fun to learn!

### [IBM Plex Mono](https://www.ibm.com/plex/)

The font included in the repository. Probably my favourite monospace font.
